(************************************************)
(* Example program for VR group's DLL manager.  *)
(* This program calls SayHello function from    *)
(* HELLO.DLL                                    *)
(*                                              *)
(* Copyleft (C) 1998 Virtual Research i. g.     *)
(************************************************)

program hello;
uses DLL;               (* Include necessary routines and types *)
var H:TDLLHandle;
begin
 H:=dllLoad('HELLO');        (* Load DLL. "DLL" extension is assumed. *)
 if dllError<>0 then begin
  WriteLn(dllErrorMessage[dllError]);
  Halt;
 end;
 WriteLn('DLL exit code is: ',dllExitCode);
 dllCallByName(H,'SayHello',nil); (* Call procedure from DLL *)
 if dllError<>0 then begin
  dllFree(H);
  WriteLn(dllErrorMessage[dllError]);
  Halt;
 end;
 dllFree(H);    (* Unload DLL *)
end.

