(* MZ-style executable file header definition *)

type TMZHeader=packed record
 Signature:array[0..1] of char;     (* 'MZ' or 'ZM' *)
 BytesOnLastPage:word;
 Pages:word;
 NumOfRelocs:word;
 HeaderSize:word;                   (* In paragraphs *)
 MinMemRequired:word;
 MaxMemRequired:word;               
 SS:word;
 SP:word;
 CheckSum:word;
 CS:word;
 IP:word;
 RelocTableOfs:word;                (* Relocation table offset *)
 OverlayNumber:word;
end;
